<?php
	//---------------------------------------------------------------------------------------------------------
	// 08/Octubre/2014
	// Versión 1.0 Este php contiene la función encargada de mostrar la miga según el caso
	//---------------------------------------------------------------------------------------------------------
	// 16/Octubre/2014
	// Versión 2.0 Creamos esta opcion web como widget. Se pasa como parámetro la función a ejecutar (el tipo de objeto que queremos crear)
	//---------------------------------------------------------------------------------------------------------
	
	
	
	function widget_ultimas_novedades($nombre_funcion = 'ultimas_novedades'){
		include('comunes/globals.php');
		//Aquí definimos una serie de parámetros que necesitamos
		$funcion_por_defecto = 'ultimas_novedades';
		$parametros_por_defecto = array();
		$parametros_recibidos = func_get_args();
		if (count($parametros_recibidos) == 0){
			$parametros_recibidos[0] = $funcion_por_defecto;
		}else{
			if ( ($parametros_recibidos[0] == '') || ($parametros_recibidos[0] == NULL) ){
				$parametros_recibidos[0] = $funcion_por_defecto;
			}
		}
		$parametros_recibidos = mezcla_array_parametros($parametros_por_defecto, $parametros_recibidos);
		$retorno = false;
		//Si entre los parámetros recibidos, tenemos el nombre de la función continuamos
		if (count($parametros_recibidos) > 0){
			//Recogemos el nombre de la función de entre el resto de parámetros
			$nombre_funcion = $parametros_recibidos[0];
			//Quitamos el primer elemento de los parámetros, pues es el nombre de la función
			$parametros_recibidos = array_slice($parametros_recibidos, 1);
			//Si la función existe la ejecutamos
			if(function_exists($nombre_funcion)){
				$retorno = call_user_func_array($nombre_funcion, $parametros_recibidos);
			}
		}
		return($retorno);		
	}

	function ultimas_novedades($opciones = NULL){
		include('comunes/globals.php');
		$fichero = 'mini_ficha';
		if (!is_a($opciones, 'OpcionesWidget')){
			$opciones = new OpcionesWidget();
		}
		$fichero = ($opciones->configuracion->fichero != NULL) ? $opciones->configuracion->fichero : $fichero;
		$lista_articulos = array();
		$cantidad_a_cargar = Shop::$configuracion->elementos_por_pagina;
		$pagina_actual = Sections::getParam('pagina', 0);
		$elemento_inicial = $cantidad_a_cargar * $pagina_actual;
		$paginacion_select = ' LIMIT ' . $elemento_inicial . ', ' . $cantidad_a_cargar;
		$sentencia_sql = 'SELECT codigo FROM articulo WHERE no_web = 0 ORDER by fecha_alta DESC, codigo DESC' . $paginacion_select;
		//echo("<!-- $sentencia_sql -->");
		if ($resultado = mysqli_query($conexionBD, $sentencia_sql)){
			while ($fila = mysqli_fetch_array($resultado)){
				$lista_articulos[count($lista_articulos)] = new Articulo($fila['codigo']);
			}
		}
		if (count($lista_articulos) > 0){
			 new Widget($_WH->GW('articulo', 'lista_articulos'), $fichero,  $lista_articulos);
		}
	}
?>